// © 2024 Long Ly. All rights reserved. Any unauthorized use, reproduction, or distribution of this trademark is strictly prohibited and may result in legal action.


#include "AnimInstances/OLSBaseLinkedOverlayLayerAnimInstance.h"

#include "AnimInstances/OLSBaseLayerAnimInstance.h"

void UOLSBaseLinkedOverlayLayerAnimInstance::NativeInitializeAnimation()
{
	// Don't call Super since it's empty.
	
	BaseMainAnimInstance = Cast<UOLSBaseLayerAnimInstance>(GetOwningComponent()->GetAnimInstance());
}

UAnimSequence* UOLSBaseLinkedOverlayLayerAnimInstance::SelectIdlePose(const bool isCrouching) const
{
	return (isCrouching) ? IdlePose_Crouching : IdlePose_Standing;
}

UOLSBaseLayerAnimInstance* UOLSBaseLinkedOverlayLayerAnimInstance::GetBaseMainAnimInstance() const
{
	return BaseMainAnimInstance;
}
